Skip to main content
GET
/
api
/
v1
/
outbound
/
campaigns
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";

const syllableSDK = new SyllableSDK({
  apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});

async function run() {
  const result = await syllableSDK.outbound.campaigns.list({
    page: 0,
    searchFields: [
      "id",
    ],
    searchFieldValues: [
      "Some Object Name",
    ],
    startDatetime: "2023-01-01T00:00:00Z",
    endDatetime: "2024-01-01T00:00:00Z",
  });

  console.log(result);
}

run();
import os
from syllable_sdk import SyllableSDK, models


with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:

res = ss_client.outbound.campaigns.list(page=0, limit=25, search_fields=[
models.CampaignProperties.ID,
], search_field_values=[
"Some Object Name",
], start_datetime="2023-01-01T00:00:00Z", end_datetime="2024-01-01T00:00:00Z")

# Handle response
print(res)
curl --request GET \
--url https://api.syllable.cloud/api/v1/outbound/campaigns \
--header 'Syllable-API-Key: <api-key>'
const options = {method: 'GET', headers: {'Syllable-API-Key': '<api-key>'}};

fetch('https://api.syllable.cloud/api/v1/outbound/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "campaign_name": "<string>",
      "campaign_variables": {},
      "caller_id": 19995551234,
      "active_days": [],
      "id": 123,
      "last_updated_by": "<string>",
      "description": "This is a test campaign",
      "mode": "voice",
      "sms_session_ttl": 720,
      "label": "test",
      "labels": [
        "test",
        "demo"
      ],
      "daily_start_time": "09:00:00",
      "daily_end_time": "17:00:00",
      "source": "+19032900844",
      "hourly_rate": 1,
      "max_daily_calls": 2500,
      "retry_count": 0,
      "retry_interval": "30m",
      "voicemail_detection": {
        "voicemail_detection_overall_timeout": 30,
        "voicemail_detection_post_speech_timeout": 1.75,
        "voicemail_detection_pre_speech_timeout": 3.5
      },
      "allowed_line_types": [
        "mobile",
        "voip"
      ],
      "include_unknown_line_types": true,
      "agent_id": "agent_id",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "webhooks": {
        "id": 1,
        "request_method": "POST",
        "trigger_statuses": [
          "COMPLETED"
        ],
        "url": "https://example.com/hooks/syllable"
      }
    }
  ],
  "page": 123,
  "page_size": 123,
  "total_pages": 4,
  "total_count": 100
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Syllable-API-Key
string
header
required

Query Parameters

page
integer | null
default:0

The page number from which to start (0-based)

Required range: x >= 0
Example:

0

limit
integer
default:25

The maximum number of items to return

Required range: x >= 0
Example:

25

search_fields
enum<string>[]

String names of fields to search. Correspond by index to search field values

Available options:
id,
campaign_name,
campaign_variables,
daily_start_time,
daily_end_time,
source,
mode,
caller_id,
updated_at,
label,
labels,
voicemail_detection
Example:

"name"

search_field_values
string[]

Values of fields to search. Correspond by index to search fields. Unless field name contains "list", an individual search field value cannot be a list

Example:

"Some Object Name"

order_by
enum<string> | null

The field whose value should be used to order the results

Available options:
id,
campaign_name,
campaign_variables,
daily_start_time,
daily_end_time,
source,
mode,
caller_id,
updated_at,
label,
labels,
voicemail_detection
Example:

"name"

order_by_direction
enum<string> | null

The direction in which to order the results The direction in which to order list results, either ascending or descending.

Available options:
asc,
desc
fields
enum<string>[] | null

The fields to include in the response

Available options:
id,
campaign_name,
campaign_variables,
daily_start_time,
daily_end_time,
source,
mode,
caller_id,
updated_at,
label,
labels,
voicemail_detection
start_datetime
string | null

The start datetime for filtering results

Example:

"2023-01-01T00:00:00Z"

end_datetime
string | null

The end datetime for filtering results

Example:

"2024-01-01T00:00:00Z"

Response

ListResponse[OutboundCampaign] · object | null

Successful Response

items
OutboundCampaign · object[]
required

List of items returned from the query

page
integer
required

The page number of the results (0-based)

Example:

0

page_size
integer
required

The number of items returned per page

Example:

25

total_pages
integer | null

The total number of pages of results given the indicated page size

Example:

4

total_count
integer | null

The total number of items returned from the query

Example:

100